#pragma once

#include "Widget.h"
#include "Button.h"
#include "Label.h"
#include "TextBox.h"
#include "TextEditorController.h"
#include <functional>

class TextEditorView : public Widget
{
    TextBox* mTextBox;
    TextEditorControllerUPtr mController;

public:

    TextEditorView();

    static std::unique_ptr<TextEditorView> Create();

    TextEditorController* GetController();

    void Initialize();
};
using TextEditorViewUPtr = std::unique_ptr<TextEditorView>;
